Jump to content

Ubuntu


Luke

Recommended Posts

thefirstofthe300

 

Any tips on how I can install Emby server on Ubuntu 12.04? The following commands are okay:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 637D1286
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF 

But I get an error message on the next line:

myname@myserver:~$ sudo echo 'deb http://ppa.launchpad.net/apps-z/mediabrowser/ubuntu trusty main' > /etc/apt/sources.list.d/mediabrowser.list 
-bash: /etc/apt/sources.list.d/mediabrowser.list: Permission denied

 

Try elevating to root before running the above command:

$ sudo su
# echo 'deb http://ppa.launchpad.net/apps-z/mediabrowser/ubuntu trusty main' > /etc/apt/sources.list.d/mediabrowser.list

Sometimes that will fix permission denied errors even if the previous command used sudo.

  • Like 1
Link to post
Share on other sites

I'm also getting this bug. Running Ubuntu Server 14.04, unable to access the web client. Doesn't matter if I restart the mediabrowser service or reboot the machine, unable to access the server through the web client at all anymore.

 

This is not the problem I'm having. I have full access to web ui.

 

However I cannot chose to use the web ui or windows phone app to remote play to my xbmc (with kodi plugin) clients. They don't show up. A DLNA client does show up after a while though. So the issue may be related to kodi plugin. Even though the clients are listed as connected when I look at settings.

Edited by KRA
Link to post
Share on other sites

That worked! Thanks! :)

Try elevating to root before running the above command:

$ sudo su
# echo 'deb http://ppa.launchpad.net/apps-z/mediabrowser/ubuntu trusty main' > /etc/apt/sources.list.d/mediabrowser.list

Sometimes that will fix permission denied errors even if the previous command used sudo.

Link to post
Share on other sites

Progress, but I hit another snag after:

apt-get install -qy --force-yes libmono-cil-dev mediainfo wget libsqlite3-dev libc6-dev imagemagick-6.q8 libmagickwand-6.q8-2 libmagickcore-6.q8-2 

I get:

ibmagickwand-6.q8-2 libmagickcore-6.q8-2 
Reading package lists...
Building dependency tree...
Reading state information...
mediainfo is already the newest version.
libc6-dev is already the newest version.
libsqlite3-dev is already the newest version.
wget is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libmagickcore-6.q8-2 : Depends: libfftw3-double3 but it is not installable
                        Depends: libfontconfig1 (>= 2.9.0) but 2.8.0-3ubuntu9.1 is to be installed
                        Depends: libjbig0 (>= 2.0) but it is not installable
                        Depends: liblzma5 (>= 5.1.1alpha+20120614) but 5.1.1alpha+20110809-3 is to be installed
                        Depends: libtiff5 (>= 4.0.3) but it is not installable
E: Unable to correct problems, you have held broken packages.

I'm installing it on Ubuntu 12.04

Link to post
Share on other sites
hurricanehrndz

Progress, but I hit another snag after:

apt-get install -qy --force-yes libmono-cil-dev mediainfo wget libsqlite3-dev libc6-dev imagemagick-6.q8 libmagickwand-6.q8-2 libmagickcore-6.q8-2 

I get:

ibmagickwand-6.q8-2 libmagickcore-6.q8-2 
Reading package lists...
Building dependency tree...
Reading state information...
mediainfo is already the newest version.
libc6-dev is already the newest version.
libsqlite3-dev is already the newest version.
wget is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libmagickcore-6.q8-2 : Depends: libfftw3-double3 but it is not installable
                        Depends: libfontconfig1 (>= 2.9.0) but 2.8.0-3ubuntu9.1 is to be installed
                        Depends: libjbig0 (>= 2.0) but it is not installable
                        Depends: liblzma5 (>= 5.1.1alpha+20120614) but 5.1.1alpha+20110809-3 is to be installed
                        Depends: libtiff5 (>= 4.0.3) but it is not installable
E: Unable to correct problems, you have held broken packages.

I'm installing it on Ubuntu 12.04

Officially we only support trusty and up. Since you are on 12.04 your are on your own, my suggestion would be to use docker, if that is not an option please look into this https://help.ubuntu.com/community/UbuntuBackports

Please be aware your system's stability may be affected. 

Link to post
Share on other sites

I'm going through the process of trying to install emby from scratch on a clean ubuntu 14.10 mini/net install.

 

Just a small note in the install instructions.

 

after the

# install dependencies

you would need

apt-get update

before you can continue.

 

Also, maybe one should point out that before you start you would need to run sudo su, or simply put sudo on front of every line.

  • Like 1
Link to post
Share on other sites
cjlopez213

This is exactly what I was looking for, thanks to all of the developers this is awesome!

 

The only problem I have right now is I can't skip through the movies or videos? Is there anyway to be able to do that?  :(

Edited by cjlopez213
Link to post
Share on other sites
thefirstofthe300

This is exactly what I was looking for, thanks to all of the developers this is awesome!

 

The only problem I have right now is I can't skip through the movies or videos? Is there anyway to be able to do that? :(

When you say skip, do you mean something like fast forwarding while watching a movie or do you mean skipping through the library while browsing your collection?
Link to post
Share on other sites
cjlopez213

When you say skip, do you mean something like fast forwarding while watching a movie or do you mean skipping through the library while browsing your collection?

Oh yeah should have clarified I meant fast forward while watching a movie. It's just greyed out and I can't fast forward. 

 

Oh scratch that I guess I had to wait for the video to encode or something cause I'm able to fast forward now, thanks for the fast response anyway though! I love this software!  :D

Edited by cjlopez213
Link to post
Share on other sites

Installed 3.0.5572.0 on Ubuntu server 14.04.2 LTS and I'm getting no thumbnails for music ja home videos!

Movie posters and other stuff which are downloaded from interwebz are working fine!

Link to post
Share on other sites
  • 3 weeks later...
fantaxp7

how are you guys doing with multiple streams for cpu usage? My father has two rokus and reports it's at 100% with 10 dedicated cpus (run in a VM) and the rokus sometimes reboot. 

Link to post
Share on other sites
  • 4 weeks later...
allen00se

Just FYI... I installed on Ubuntu Server 15.04 and all went well. Only issue so far is that I can't use a network path for the library, I had to mount the samba share, use the mount and then make a path substitution. When I tried to use the network path for the library it would complain that it didn't exist.

Link to post
Share on other sites

I just install the emby and previously had mediabrowser installed.

Now I can't scan my library.. 

 

It seems to look for /var/lib/mediabrowser/root  which doesn't exist now, it's emby now.

 

2015-05-27 12:55:00.3465 Info - App: Scan media library Completed after 0 minute(s) and 0 seconds

2015-05-27 12:55:00.3465 Error - LibraryMonitor: Error watching path: /var/lib/mediabrowser/root

 

How can i change this? 

 

Any one with a suggestion.

 

Thanks!

Edited by freebs
  • Like 1
Link to post
Share on other sites
hurricanehrndz

/etc/default/emby is where the program data is defined. The installation process should have move /var/lib/mediabrowser to /var/lib/emby. Unless you had used other directories.

Link to post
Share on other sites
tymanthius

I just install the emby and previously had mediabrowser installed.

Now I can't scan my library.. 

 

It seems to look for /var/lib/mediabrowser/root  which doesn't exist now, it's emby now.

 

2015-05-27 12:55:00.3465 Info - App: Scan media library Completed after 0 minute(s) and 0 seconds

2015-05-27 12:55:00.3465 Error - LibraryMonitor: Error watching path: /var/lib/mediabrowser/root

 

How can i change this? 

 

Any one with a suggestion.

 

Thanks!

 

 

I'm trying to test out emby again and having the same issue. VERY annoying.  I found one post that seemed to say emby can't handle ganged drives (I'm using LVM).

Link to post
Share on other sites
hurricanehrndz

they are moved yes... i see them there, but still doesn't scan that folder.

Please check the permission of your folder, it should be owned by emby.

Link to post
Share on other sites
First thing I checked... this is very odd.

 

root@HTPC:~# ls  -l /var/lib/emby

total 208

drwxr-xr-x 19 emby emby   4096 May 24 01:28 cache

drwxr-xr-x  4 emby emby   4096 May 23 17:04 config

drwxr-xr-x  7 emby emby   4096 May 27 13:12 data

drwxr-xr-x  3 emby emby   4096 May 22 10:59 ffmpeg

drwxr-xr-x  2 emby emby   4096 May 23 19:48 fonts

drwxr-xr-x  2 emby emby   4096 May 22 10:59 localization

drwxr-xr-x  2 emby emby  32768 May 27 13:12 logs

drwxr-xr-x 12 emby emby   4096 May 24 12:22 metadata

drwxr-xr-x  4 emby emby   4096 May 27 11:23 plugins

drwxr-xr-x  3 emby emby   4096 May 22 11:00 root

drwxr-xr-x  2 emby emby   4096 May 22 11:31 ssl

drwxr-xr-x  2 emby emby 139264 May 27 12:05 transcoding-temp
Link to post
Share on other sites
hurricanehrndz

 

First thing I checked... this is very odd.
 
root@HTPC:~# ls  -l /var/lib/emby
total 208
drwxr-xr-x 19 emby emby   4096 May 24 01:28 cache
drwxr-xr-x  4 emby emby   4096 May 23 17:04 config
drwxr-xr-x  7 emby emby   4096 May 27 13:12 data
drwxr-xr-x  3 emby emby   4096 May 22 10:59 ffmpeg
drwxr-xr-x  2 emby emby   4096 May 23 19:48 fonts
drwxr-xr-x  2 emby emby   4096 May 22 10:59 localization
drwxr-xr-x  2 emby emby  32768 May 27 13:12 logs
drwxr-xr-x 12 emby emby   4096 May 24 12:22 metadata
drwxr-xr-x  4 emby emby   4096 May 27 11:23 plugins
drwxr-xr-x  3 emby emby   4096 May 22 11:00 root
drwxr-xr-x  2 emby emby   4096 May 22 11:31 ssl
drwxr-xr-x  2 emby emby 139264 May 27 12:05 transcoding-temp

 

please run the following command 

mkdir -p /var/lib/mediabrowser

ln -s /var/lib/emby/root /var/lib/mediabrowser/root

Link to post
Share on other sites
hurricanehrndz

that indeed brought it all back...

Glad it worked out for you. 

Edited by hurricanehernandez
Link to post
Share on other sites
hurricanehrndz

spoke too soon.. folders are there.. nothing in emby as far as media goes.

It probably has to rescan. You could always adjust your library folders. Go to the dashboard. Then library. And adjust each media location. Under Media Library, under FoldersiLNF6LR.png

Link to post
Share on other sites

No no.. these are NFS mounts on my HTPC. I just pointed my folders with emby server is all.

ie; /mnt/movies , /mnt/tvshows, etc;

It was working fine before I did this upgrade.. :)

 

FreeNas stores all my files.

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...